Get AI-analysed cluster health
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health \
--header 'Authorization: Bearer <token>'{
"ai_insights": [
{}
],
"cluster_id": "<string>",
"generated_at": "<string>",
"health_report": {},
"notification_priority": "<string>",
"should_notify": true,
"summary": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Chat
Get AI-analysed cluster health
GET
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
kubernetes
/
health
Get AI-analysed cluster health
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/health \
--header 'Authorization: Bearer <token>'{
"ai_insights": [
{}
],
"cluster_id": "<string>",
"generated_at": "<string>",
"health_report": {},
"notification_priority": "<string>",
"should_notify": true,
"summary": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Include AI analysis of issues